IStoreConfig (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.IStoreConfig interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Interface IStoreConfig

All Known Implementing Classes:
  StoreConfig

public interface IStoreConfig

Author:
  Peter Rossbach

Method Summary
`StoreRegistry` | `getRegistry()` Get Configuration Registry
`void` | `setRegistry(StoreRegistry aRegistry)` Set Configuration Registry
`void` | `store(Context aContext)` Store the specified Context properties.
`void` | `store(java.io.PrintWriter aWriter, int indent, Context aContext)` Store the specified Context properties.
`void` | `store(java.io.PrintWriter aWriter, int indent, Host aHost)` Store the specified Host properties.
`void` | `store(java.io.PrintWriter aWriter, int indent, Server aServer)` Store the specified Server properties.
`void` | `store(java.io.PrintWriter aWriter, int indent, Service aService)` Store the specified Service properties.
`void` | `store(Server aServer)` Store the specified Server properties.
`void` | `storeConfig()` Store the current StoreFactory Server.

Method Detail

### getRegistry

    public StoreRegistry getRegistry()

  Get Configuration Registry

  Returns:
    aRegistry that handle the store operations

### setRegistry

    public void setRegistry(StoreRegistry aRegistry)

  Set Configuration Registry

  Parameters:
    `aRegistry` - aregistry that handle the store operations

### storeConfig

    public void storeConfig()
                     throws java.lang.Exception

  Store the current StoreFactory Server.

  Throws:
    `java.lang.Exception` - if an exception occurs while storing

### store

    public void store(Server aServer)
               throws java.lang.Exception

  Store the specified Server properties.

  Parameters:
    `aServer` - Object to be stored
  Throws:
    `java.lang.Exception` - if an exception occurs while storing

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      Server aServer)

  Store the specified Server properties.

  Parameters:
    `aWriter` - PrintWriter to which we are storing
    `indent` - Number of spaces to indent this element
    `aServer` - Object to be stored
  Throws:
    `java.lang.Exception` - if an exception occurs while storing

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      Service aService)

  Store the specified Service properties.

  Parameters:
    `aWriter` - PrintWriter to which we are storing
    `indent` - Number of spaces to indent this element
    `aService` - Object to be stored
  Throws:
    `java.lang.Exception` - if an exception occurs while storing

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      Host aHost)

  Store the specified Host properties.

  Parameters:
    `aWriter` - PrintWriter to which we are storing
    `indent` - Number of spaces to indent this element
    `aHost` - Object to be stored
  Throws:
    `java.lang.Exception` - if an exception occurs while storing

### store

    public void store(Context aContext)

  Store the specified Context properties.

  Parameters:
    `aContext` - Object to be stored
  Throws:
    `java.lang.Exception` - if an exception occurs while storing

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      Context aContext)

  Store the specified Context properties.

  Parameters:
    `aWriter` - PrintWriter to which we are storing
    `indent` - Number of spaces to indent this element
    `aContext` - Object to be stored
  Throws:
    `java.lang.Exception` - if an exception occurs while storing

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.